Bug 32 - Status and error patch
Summary: Status and error patch
Status: RESOLVED FIXED
Alias: None
Product: abcde
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: PC Linux
: Normal normal
Assignee: Andrew Strong
URL:
Depends on:
Blocks:
 
Reported: 2016-06-07 19:15 BST by wasem
Modified: 2016-06-21 09:40 BST (History)
2 users (show)

See Also:


Attachments
abcde-2.7.3-status-and-error-log.patch (986 bytes, patch)
2016-06-07 19:15 BST, wasem
Details
abcde-2.7.3-status-and-error-log-2.patch (1.30 KB, patch)
2016-06-10 11:00 BST, wasem
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wasem 2016-06-07 19:15:05 BST
Created attachment 17 [details]
abcde-2.7.3-status-and-error-log.patch

This patch corrects the path of the do_batch_gain and do_batch_normalize function of abcde.
Comment 1 wasem 2016-06-10 11:00:59 BST
Created attachment 18 [details]
abcde-2.7.3-status-and-error-log-2.patch
Comment 2 Andrew Strong 2016-06-19 08:26:39 BST
Thanks for addressing this issue which I will commit shortly. Who will I give credit to: 'wasem' or another name?
Comment 3 wasem 2016-06-19 11:22:22 BST
Thanks for commit shortly.
If you want, you can use my given name (Christian) and / or family name (Wasem) for credit or thanks...
Best regrads,
Christian
Comment 4 wasem 2016-06-19 20:55:48 BST
please replace :
-			echo normalizetrack-$UTRACKNUM >> status
+			"echo normalizetrack-$UTRACKNUM" >> "$ABCDETEMPDIR/status"

with:
-			echo normalizetrack-$UTRACKNUM >> status
+			echo "normalizetrack-$UTRACKNUM" >> "$ABCDETEMPDIR/status"

Sorry for this typo!

Christian
Comment 5 wasem 2016-06-19 20:57:11 BST
please replace :
-			echo normalizetrack-$UTRACKNUM >> status
+			"echo normalizetrack-$UTRACKNUM" >> "$ABCDETEMPDIR/status"

with:
-			echo normalizetrack-$UTRACKNUM >> status
+			echo "normalizetrack-$UTRACKNUM" >> "$ABCDETEMPDIR/status"

Sorry for this typo!

Christian
Comment 6 Andrew Strong 2016-06-21 09:40:07 BST
I have pushed the changes. Thanks very much Christian for your work on this bug!!!